<div class="container mt-4">
  <div class="row" *ngIf="userRole == 'SELLER'">
    <div class="col-10"></div>
    <div class="col-2">
      <button class="btn btn-primary" [routerLink]="['/add-create']" >Create Add</button>
    </div>

  </div>
  <div class="row">
    <div class="col-4" *ngFor="let add of adds">
      <div class="card mt-4 carAddcard" [routerLink]="['/adds', add.id]">
        <div class="card-header bg-primary text-light">
          <h6>{{add.make}} {{add.model}}</h6>
        </div>
        <ng-container *ngIf="add.firstImage != null; else noImage">
          <img class="card-img-top car-img-thumbnail" src="{{add.firstImage}}" alt="Card image">
        </ng-container>
        <ng-template #noImage>
          <img class="card-img-top car-img-thumbnail" src="../assets/noAvailableImage.jpg" alt="Card image">
        </ng-template>
        <div class="card-body">
          <div class="row">
            <div class="col-6">
              <b>Year: </b> {{add.year}}
            </div>
            <div class="col-6">
              <b>Price: </b> {{add.price}}
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="row mt-3">
    <label class="col-2" for="itemsPerPage">
      <b>Items per page:</b>
    </label>
    <select class="col-2" [(ngModel)]="size" name="itemsPerPage" (change)="onSelectChange()" value=10>
      <option [ngValue]="3">3</option>
      <option [ngValue]="5">5</option>
      <option [ngValue]="10">10</option>
    </select>

  </div>
  <div class="row mt-5">
    <ngb-pagination class="d-flex justify-content-start" [collectionSize]="total" [pageSize]="size" [(page)]="page"
      [maxSize]=7 (pageChange)="onPageChange($event)"></ngb-pagination>
  </div>
</div>